mui.init();
mui.plusReady(function() {
	function installWgt(path) {
		plus.nativeUI.showWaiting("安装更新文件...");
		plus.runtime.install(path, {}, function() {
			plus.nativeUI.closeWaiting();
			console.log("安装wgt文件成功！");
			plus.nativeUI.alert("应用资源更新完成！", function() {
				localStorage.setItem("$DOWN","{}");
				plus.runtime.restart();
			});
		}, function(e) {
			plus.nativeUI.closeWaiting();
			console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
			plus.nativeUI.alert("安装更新文件失败[" + e.code + "]：" + e.message);
		});
	}

	function downWgt(wgtUrl) {
		plus.nativeUI.showWaiting("下载更新文件...");
		plus.downloader.createDownload(wgtUrl, {
			filename: "_doc/update/"
		}, function(d, status) {
			if (status == 200) {
				console.log("下载wgt成功：" + d.filename);
				installWgt(d.filename); // 安装wgt包
			} else {
				console.log("下载wgt失败！");
				plus.nativeUI.alert("下载更新包失败！"+wgtUrl);
			}
			plus.nativeUI.closeWaiting();
			
		}).start();
	}
	
	function downWgtu(wgtUrl){
	    plus.nativeUI.showWaiting("升级中...");  
	    var dtask = plus.downloader.createDownload(wgtUrl, {method:"GET"}, function(d,status){
	        if ( status == 200 ) { 
	            console.log( "下载成功: " + d.filename );  
	            plus.runtime.install(d.filename,{force:true},function(){
	                plus.nativeUI.closeWaiting();
	                plus.nativeUI.alert("升级成功，正在重启!",function(){
	                    plus.runtime.restart();
	                });
	            },function(e){
	                plus.nativeUI.closeWaiting();
	                alert("升级失败: "+e.message);
	            });
	        } else {
	            plus.nativeUI.closeWaiting();
	            alert( "下载文件失败: " + JSON.stringify(d) );  
	        } 
	    });
	    dtask.addEventListener('statechanged',function(d,status){
	        console.log("statechanged: "+d.state);
	    });
	    dtask.start();
	}  

	mui.ajax(api_url_ipad + 'get_version&app_no=2', {
		dataType: 'JSON',
		type: 'get',
		timeout: 3000,
		success: function(version) {
			json_version = JSON.parse(version)

			console.log(json_version.version);
			plus.runtime.getProperty(plus.runtime.appid, function(inf) {
				var wgtVer = inf.version;
				$("#version_id").html(wgtVer);
				
				if(json_version.version != wgtVer) {
					var btnArray = ['是', '否'];
					var content = '已更新' + json_version.version + '版本，是否更新？\n\n';
					$.each(json_version.content, function(idx, val) {
						content += idx + 1 + "、" + val + "\n";
					});
					mui.confirm(content, '美思策划', btnArray, function(e) {
						if(e.index == 0) {
							downWgtu(file_url + "dailyReport_version/" + json_version.file);
						};
					});
				};
			});
		},
		error: function(xhr, type, errorThrown) {
			console.log(errorThrown);
		}
	});

	//登录按钮事件
	$("#login").on("click", function() {
		var data = {
			'phone': $("#account").val(),
			'password': $("#password").val()
		};
		if(data.phone == '') {
			alert('请输入手机号！');
			return false;
		} else if(data.password == '') {
			alert('请输入密码！');
			return false;
		}
		mui.ajax(api_url + 'login', {
			dataType: 'JSON',
			type: 'POST',
			data: JSON.stringify(data),
			timeout: 6000,
			success: function(data1) {
				if(data1 != "faild") {
					console.log(data1);
					var staff_data = JSON.parse(data1);
					localStorage.setItem("$cur_account_id",staff_data.account_id);
					localStorage.setItem("$cur_staff_hotel_id",staff_data.staff_hotel_id);
					localStorage.setItem("$token",staff_data.token);
					localStorage.setItem("$manage",staff_data.manage);
					localStorage.setItem("$staff_name",staff_data.name);
					var jump_page = 'main';
					var reminder_txt = '登陆成功！';
					if(staff_data.manage && staff_data.unfinished == 'selectcity'){
						jump_page = 'selectcity';reminder_txt = '登陆成功，请先补全信息！';
					}else if(staff_data.manage && staff_data.unfinished == 'hotel'){
						jump_page = 'hotel_management';reminder_txt = '登陆成功，请先添加一个门店！';
					}else if(!staff_data.manage && staff_data.staff_hotel_id){
						mui.toast('您暂未被分配到任何门店，请联系管理层进行门店分配！');
						return false;
					}
					fSaveClinet(staff_data.token);
					mui.openWindow({
						url: jump_page +'.html',
						id: jump_page,
						extras:{
						   prepage:'login',
						      },
						createNew:true,
						show:{
						      aniShow:"slide-in-right"
					         }
					});
					mui.toast(reminder_txt);					
				}else{
					mui.toast("手机号／密码错误，请重新输入！");
				}
			},
			error: function(xhr, type, errorThrown) {
				console.log('login:'+errorThrown);
				mui.toast('网络状态欠佳,请稍后再试');
			}
		});
	});

	//忘记密码按钮事件
	$("#forgetpassword").on("click", function() {
		mui.openWindow({
			url: 'forget_password.html',
			id: 'forget_password',
			createNew: true,
			show: {
				aniShow: "slide-in-right"
			}
		});
	});

	//获取验证码
	$('#getcode').on("click", function() {
		var phonenumber = $('#reg_mobile').val();
		mui.ajax(api_url_ipad + 'sendcode' + '&telephone=' + phonenumber, {
			dataType: 'JSON',
			type: 'GET',
			timeout: 3000,
			success: function(data) {
				if(data == 0) {
					mui.toast("此手机号已注册");
					return false;
				}
				mui.toast("验证码已发送");
				mui.openWindow({
					url: 'register.html',
					id: 'register',
					extras: {
						prepage: 'login',
						reg_mobile: phonenumber
					},
					createNew: true,
					show: {
						aniShow: "slide-in-right"
					}
				});
			},
			error: function(xhr, type, errorThrown) {
				console.log(errorThrown);
				mui.toast("网络断开，验证码发送失败");
			}
		});
	});

	//点输入框，输入框上文字缩小上移，页头缩小
	$('#account,#password,#reg_mobile').on('focus', function() {
		$(this).prev('label').addClass('narrow');
		$('.login-default').addClass('active')
		$(this).parent('div').addClass('active');
	}).on('blur', function() {
		if($(this).val() == '') {
			$(this).prev('label').removeClass('narrow');
		}
		$(this).parent('div').removeClass('active');
	});

	//选择卡效果
	$('.tab>a').on('click', function() {
		var index = $('.tab>a').index(this);
		$(this).addClass('mui-active').siblings().removeClass('mui-active');
		$('.mui-content-item').eq(index).addClass('mui-active');
		$('.mui-content-item').eq(index).siblings().removeClass('mui-active');
	})

	//登录按钮可点击效果
	$('#account,#password').on('input', function() {
		if($('#account').val() != '' && $('#password').val() != '') {
			$('#login').removeAttr('disabled').addClass('active');
		} else {
			$('#login').attr('disabled', 'disabled').removeClass('active');
		}
	});

	//注册时监控输入足数手机号，允许点击下面按钮
	$('#reg_mobile').bind('input', function() {
		var num = $(this).val().length;
		if(num == 11) {
			$('#getcode').removeAttr('disabled').addClass('active');
		} else {
			$('#getcode').attr('disabled', 'disabled').removeClass('active');
		}
	});

	function installWgt(path) {
		plus.nativeUI.showWaiting("安装更新文件...");
		plus.runtime.install(path, {}, function() {
			plus.nativeUI.closeWaiting();
			console.log("安装wgt文件成功！");
			plus.nativeUI.alert("应用资源更新完成！", function() {
				localStorage.setItem("$DOWN", "{}");
				plus.runtime.restart();
			});
		}, function(e) {
			plus.nativeUI.closeWaiting();
			console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
			plus.nativeUI.alert("安装更新文件失败[" + e.code + "]：" + e.message);
		});
	}

	function downWgt(wgtUrl) {
		plus.nativeUI.showWaiting("下载更新文件...");
		plus.downloader.createDownload(wgtUrl, {
			filename: "_doc/update/"
		}, function(d, status) {
			if(status == 200) {
				console.log("下载wgt成功：" + d.filename);
				installWgt(d.filename); // 安装wgt包
			} else {
				console.log("下载wgt失败！");
				plus.nativeUI.alert("下载更新包失败！" + wgtUrl);
			}
			plus.nativeUI.closeWaiting();

		}).start();
	}

	function downWgtu(wgtUrl) {
		plus.nativeUI.showWaiting("升级中...");
		var dtask = plus.downloader.createDownload(wgtUrl, {
			method: "GET"
		}, function(d, status) {
			if(status == 200) {
				console.log("下载成功: " + d.filename);
				plus.runtime.install(d.filename, {
					force: true
				}, function() {
					plus.nativeUI.closeWaiting();
					plus.nativeUI.alert("升级成功，正在重启!", function() {
						plus.runtime.restart();
					});
				}, function(e) {
					plus.nativeUI.closeWaiting();
					alert("升级失败: " + e.message);
				});
			} else {
				plus.nativeUI.closeWaiting();
				alert("下载文件失败: " + JSON.stringify(d));
			}
		});
		dtask.addEventListener('statechanged', function(d, status) {
			console.log("statechanged: " + d.state);
		});
		dtask.start();
	}

	//保存Client
	function fSaveClinet(token) {
		var post_data = {
			cid: plus.push.getClientInfo().clientid,
			DeviceToken: plus.push.getClientInfo().token,
			appid: plus.push.getClientInfo().appid,
			appkey: plus.push.getClientInfo().appkey,
			staff_id: token
		};

		mui.ajax('http://www.cike360.com/school/crm_web/portal/index.php?r=DailyReport/save_cid', {
			dataType: 'JSON',
			type: 'post',
			data: JSON.stringify(post_data),
			timeout: 3000,
			success: function(data) {
				if(data != 1) {
					setTimeout("fSaveClinet()", 1000);
				};
			},
			error: function(xhr, type, errorThrown) {
				console.log(JSON.stringify(xhr));
			}
		});
	}
})